import _Promise from "@babel/runtime-corejs2/core-js/promise";
import jsonp from 'http-jsonp';
var loadPromise = null;
export default function AMapUILoader(url) {
  if (loadPromise) return loadPromise;
  loadPromise = new _Promise(function (resolve, reject) {
    if (typeof document !== 'undefined' && typeof window !== 'undefined' && typeof document.createElement === 'function') {
      var load = function load() {
        loadPromise = null;

        var initAMap = function initAMap() {
          if (window.AMapUI) return window.AMapUI;
          window.initAMapUI();
          return window.AMapUI;
        };

        resolve(initAMap);
      };

      jsonp({
        url: url,
        load: load,
        error: reject
      });
    }
  });
  return loadPromise;
}