"use strict";

var _interopRequireDefault = require("@babel/runtime-corejs2/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = AMapJSAPILoader;

var _promise = _interopRequireDefault(require("@babel/runtime-corejs2/core-js/promise"));

var _httpJsonp = _interopRequireDefault(require("http-jsonp"));

var loadPromise = null;

function AMapJSAPILoader(url) {
  if (loadPromise) {
    return loadPromise;
  }

  loadPromise = new _promise.default(function (resolve, reject) {
    if (typeof document !== 'undefined' && typeof window !== 'undefined' && typeof document.createElement === 'function') {
      (0, _httpJsonp.default)({
        url: url,
        callbackProp: 'callback',
        callbackNamespase: '',
        callback: function callback() {
          return resolve(window.AMap);
        },
        error: reject
      });
    }
  });
  return loadPromise;
}