import _Promise from "@babel/runtime-corejs2/core-js/promise";
import jsonp from 'http-jsonp';
var loadPromise = null;
export default function AMapJSAPILoader(url) {
  if (loadPromise) {
    return loadPromise;
  }

  loadPromise = new _Promise(function (resolve, reject) {
    if (typeof document !== 'undefined' && typeof window !== 'undefined' && typeof document.createElement === 'function') {
      jsonp({
        url: url,
        callbackProp: 'callback',
        callbackNamespase: '',
        callback: function callback() {
          return resolve(window.AMap);
        },
        error: reject
      });
    }
  });
  return loadPromise;
}