"use strict";

var _interopRequireDefault = require("@babel/runtime-corejs2/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = AMapUILoader;

var _promise = _interopRequireDefault(require("@babel/runtime-corejs2/core-js/promise"));

var _httpJsonp = _interopRequireDefault(require("http-jsonp"));

var loadPromise = null;

function AMapUILoader(url) {
  if (loadPromise) return loadPromise;
  loadPromise = new _promise.default(function (resolve, reject) {
    if (typeof document !== 'undefined' && typeof window !== 'undefined' && typeof document.createElement === 'function') {
      var load = function load() {
        loadPromise = null;

        var initAMap = function initAMap() {
          if (window.AMapUI) return window.AMapUI;
          window.initAMapUI();
          return window.AMapUI;
        };

        resolve(initAMap);
      };

      (0, _httpJsonp.default)({
        url: url,
        load: load,
        error: reject
      });
    }
  });
  return loadPromise;
}